# Error List

### General

| Error Code                  | Description                             |
| --------------------------- | --------------------------------------- |
| Error in processing.        | No parameter sent                       |
| INVALID\_API\_KEY           | Missing/Wrong apiKey                    |
| null                        | Missing base64ImageString/Invalid image |
| MISSING\_ARGUMENTS          | Missing imageIdCard/imageBest           |
| Request size exceed 5MB.    | Request size more than 5MB              |
| MAX\_API\_CALL\_EXCEEDED    | Maximum API call exceeded               |
| API\_KEY\_EXPIRED           | API Key is expired                      |
| INVALID\_JOURNEY\_ID        | JourneyID not found                     |
| ERROR\_IDV\_EXPIRED         | IDV account expired                     |
| MISSING\_PARAM\_CRENDENTIAL | Missing Parameters                      |
| USERNAME\_NOT\_EXIST        | Username does not exist                 |
| INCORRECT\_PASSWORD         | Wrong Password                          |
| MAX\_JOURNEY\_EXCEEDED      | Hit Max Journey                         |
| error                       | Missing base64image or other parameter  |

### General Sample Response

{% code title="Invalid JourneyID/ Empty JourneyID/ Data purged" %}

```
{
    "status": "error",
    "messageCode": null,
    "message": "INVALID_JOURNEY_ID",
    "scorecardResult": null
}
```

{% endcode %}

{% code title="Account expired" %}

```
{
    "status": "error",
    "message": "ERROR_IDV_EXPIRED"
}
```

{% endcode %}

{% code title="Missing username & password" %}

```
{
    "status": "error",
    "message": "MISSING_PARAM_CRENDENTIAL"
}
```

{% endcode %}

{% code title="Invalid username" %}

```
{
    "status": "error",
    "message": "USERNAME_NOT_EXIST"
}
```

{% endcode %}

{% code title="Invalid password" %}

```
{
    "status": "error",
    "message": "INCORRECT_PASSWORD"
}
```

{% endcode %}

{% code title="Hit Max Journey" %}

```
{
    "status": "error",
    "message": "MAX_JOURNEY_EXCEEDED"
}
```

{% endcode %}

### Centralized OkayID&#x20;

| Error Code            | Description                           |
| --------------------- | ------------------------------------- |
| Internal Server Error | Missing base64ImageString             |
| UNRECOGNIZED\_IMAGE   | Image is not recognized by the system |

### Centralized OkayID Sample Response

{% code title="Missing base64ImageString" %}

```
{
    "timestamp": "2020-12-28T09:41:52.223+0000",
    "status": 500,
    "error": "Internal Server Error",
    "message": "No message available",
    "path": "/api/ekyc/okayid"
}
```

{% endcode %}

{% code title="Image not recognized by the system" %}

```
{
    "status": "error",
    "message": "UNRECOGNIZED_IMAGE"
}
```

{% endcode %}

### Centralized OkayFace

| Error Code               | Description                                  |
| ------------------------ | -------------------------------------------- |
| UNEXPECTED\_ERROR        | System fail to process the face verification |
| UNRECOGNIZED\_IMAGE      | Image is not recognized by the system        |
| INTEG\_ERROR             | OkayFace integration error                   |
| UNRESOLVED\_PIC\_CONTENT | Invalid imageBest/imageBestBase64            |
| FACE\_NOT\_FOUND         | Face not found in imageBest/imageBestBase64  |
| PAYLOAD\_TOO\_LARGE      | imageBest or imageIdCard's file size > 3mb   |

### Centralized OkayFace Sample Response

{% code title="Unhandled exception" %}

```
{
    "status": "error",
    "message": "INTEG_ERROR"
}
```

{% endcode %}

{% code title="Missing imageIdCardBase64 & imageBestBase64 " %}

```
{
    "status": "error"
}
```

{% endcode %}

{% code title="Invalid imageBest/imageBestBase64" %}

```
{
    "status": "error",
    "message": "UNRESOLVED_PIC_CONTENT"
}
```

{% endcode %}

{% code title="Face not found in imageBest/imageBestBase64" %}

```
{
    "status": "error",
    "message": "FACE_NOT_FOUND"
}
```

{% endcode %}

{% code title="imageBest or imageIdCard's file size > 3mb" %}

```
{
    "status": "error",
    "message": "PAYLOAD_TOO_LARGE"
}
```

{% endcode %}

### Centralized OkayLive - Other errors returned in OkayFace(/api/ekyc/okayface/v1-1 with livenessDetection set True) and OkayLive

| Error                                         | Meaning                                                                                                                              |
| --------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| FACE\_TOO\_CLOSE                              | A distance between face and camera is too small for preprocessing issues                                                             |
| FACE\_CLOSE\_TO\_BORDER                       | Face is too close to one or more borders. May reduce the accuracy of spoofing detection because edges of face may not be seen        |
| FACE\_CROPPED                                 | Face is cropped. May reduce the accuracy of spoofing detection because edges of face may not be seen                                 |
| FACE\_IS\_OCCLUDED                            | There is occlusion on the face or it is difficult to see face, which degrades the quality of liveness                                |
| FACE\_NOT\_FOUND                              | Face detector can't find face on image                                                                                               |
| TOO\_MANY\_FACES                              | Face detector found more than one face on image                                                                                      |
| FACE\_TOO\_SMALL                              | Facial area is not big enough for analysis. Either interpupillary distance(80px) or face size(224 px) is below the configured value. |
| FACE\_ANGLE\_TOO\_LARGE                       | Facial out-of-plane rotation angle is extremely large                                                                                |
| FAILED\_TO\_PREDICT\_LANDMARKS                | Landmarks prediction error                                                                                                           |
| UNKNOWN                                       | Unhandled exception in the code                                                                                                      |
| Photo format error                            | Invalid imageIdCard/imageBest Format(Support?jpg?jpeg?png)                                                                           |
| ERROR\_NO\_FACE\_DETECTED                     | Invalid imageIdCard/imageBest has no face detected                                                                                   |
| FAILED\_TO\_READ\_IMAGE                       | File decoding error.                                                                                                                 |
| FAILED\_TO\_WRITE\_IMAGE                      | File encoding error.                                                                                                                 |
| FAILED\_TO\_READ\_MODEL                       | Model deserializing error.                                                                                                           |
| INVALID\_CONFIG                               | Configuration file deserializing error.                                                                                              |
| NO\_SUCH\_OBJECT\_IN\_BUILD                   | Engine or backend is not supported by the build.                                                                                     |
| INVALID\_FUSE\_MODE                           | Invalid fuse mode\_provided.                                                                                                         |
| NULLPTR                                       | Nullptr provided.                                                                                                                    |
| FAILED\_TO\_PREPROCESS\_IMAGE\_WHILE\_PREDICT | Liveness prediction error.                                                                                                           |
| FAILED\_TO\_PREPROCESS\_IMAGE\_WHILE\_DETECT  | Face detection error.                                                                                                                |
| MISSING\_MANDATORY\_FIELD                     | Missing mandatory fields                                                                                                             |

### Centralized OkayLive Sample Response

{% code title="Missing imageBest " %}

```
{
    "status": "error",
    "message": "Data field is compulsory."
}
```

{% endcode %}

### Centralized OkayDoc(passport)&#x20;

| Error Code                                                               | Description                                       |
| ------------------------------------------------------------------------ | ------------------------------------------------- |
| Error in verifying passport.                                             | Missing fullSizeImage/halfSizeImage/country field |
| Empty verification result. Suspected error during verification document. | Missing halfSizeImage                             |
| UNSUPPORTED\_COUNTRY                                                     | Missing/Invalid country                           |
| Internal Server Error                                                    | Missing/Invalid country                           |

### Centralized OkayDoc(passport) Sample Response

{% code title="Missing halfSizeImage" %}

```
{
    "status": "error",
    "messageCode": "api.error",
    "message": "Empty verification result. Suspected error during verification document."
}
```

{% endcode %}

{% code title="Missing/Invalid country" %}

```
{
    "status": "error",
    "messageCode": "api.error",
    "message": "UNSUPPORTED_COUNTRY"
}
```

{% endcode %}

{% code title="Missing/Invalid type" %}

```
{
    "timestamp": "2020-06-25T06:52:12.318+0000",
    "status": 500,
    "error": "Internal Server Error",
    "message": "No message available",
    "path": "/api/ekyc/okaydoc"
}
```

{% endcode %}

### Centralized OkayDoc(non passport)

| Error Code                                                              | Description                 |
| ----------------------------------------------------------------------- | --------------------------- |
| UNSUPPORTED\_COUNTRY                                                    | Invalid/Unsupported country |
| Internal Server Error                                                   | Invalid/Unsupported country |
| Empty verification result. Suspected error during verification document | Missing idImageBase64Image  |
| EMPTY\_DOCTYPE                                                          | Missing idImageBase64Image  |
| UNRECOGNIZED\_DOCTYPE                                                   | Invalid docType             |
| ERROR\_IN\_FIELD\_VERSION                                               | Missing parameter "version" |

### Centralized OkayDoc(non passport) Sample Response

{% code title="Invalid/Unsupported country" %}

```
{
    "status": "error",
    "messageCode": "api.error",
    "message": "UNSUPPORTED_COUNTRY"
}
```

{% endcode %}

{% code title="Invalid/Unsupported country" %}

```
{
    "timestamp": "2020-06-25T06:53:00.411+0000",
    "status": 500,
    "error": "Internal Server Error",
    "message": "No message available",
    "path": "/api/ekyc/okaydoc"
}
```

{% endcode %}

{% code title="Missing idImageBase64Image" %}

```
{
    "status": "error",
    "messageCode": "api.error",
    "message": "Empty verification result. Suspected error during verification document."
}
```

{% endcode %}

{% code title="Missing idImageBase64Image" %}

```
{
    "status": "error",
    "message": "EMPTY_DOCTYPE"
}
```

{% endcode %}

{% code title="Invalid docType" %}

```
{
    "status": "error",
    "message": "UNRECOGNIZED_DOCTYPE"
}
```

{% endcode %}

{% code title="Missing parameter "version"" %}

```
{
    "status": "error",
    "message": "ERROR_IN_FIELD_VERSION"
}
```

{% endcode %}

### Get scorecard result&#x20;

| Error Code                                                   | Description             |
| ------------------------------------------------------------ | ----------------------- |
| Document type (xxx) detected. No scorecard config file found | Config file not found   |
| Document type not found                                      | No record found         |
| INVALID\_JOURNEY\_ID                                         | Invalid/Empty journeyid |

### Get scorecard result Sample Response

{% code title="Config file not found" %}

```
{
    "status": "error",
    "messageCode": null,
    "message": "Document type (xxx) detected. No scorecard config file found.",
    "scorecardResult": null
}
```

{% endcode %}

{% code title="No record found" %}

```
{
    "status": "error",
    "messageCode": null,
    "message": "Document type not found.",
    "scorecardResultList": null
}
```

{% endcode %}

{% code title="Invalid/Empty journeyid" %}

```
{
    "status": "error",
    "messageCode": null,
    "message": "INVALID_JOURNEY_ID",
    "scorecardResultList": null
}
```

{% endcode %}

### Get Scorecard Config

| Error Code                            | Description           |
| ------------------------------------- | --------------------- |
| CONFIG\_FILE\_NOT\_EXIST              | Config file not exist |
| ERROR\_IN\_GETTING\_SCORECARD\_CONFIG | Config file not exist |
| USERNAME\_NOT\_EXIST                  | Config file not exist |

### Get Scorecard Config Sample Response

{% code title="Config file not exist" %}

```
{
    "status": "error",
    "messageCode": null,
    "message": "CONFIG_FILE_NOT_EXIST",
    "lastModifiedDate": null,
    "configList": null,
    "scorecardList": null
}
```

{% endcode %}

{% code title="Config file not exist" %}

```
{
    "status": "error",
    "messageCode": null,
    "message": "ERROR_IN_GETTING_SCORECARD_CONFIG",
    "lastModifiedDate": null,
    "configList": null,
    "scorecardList": null
}
```

{% endcode %}

{% code title="Invalid/Empty password, invalid/empty docType" %}

```
{
    "status": "error",
    "messageCode": null,
    "message": "USERNAME_NOT_EXIST",
    "lastModifiedDate": null,
    "configList": null,
    "scorecardList": null
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-old.innov8tif.com/emas-ekyc-portal/error-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
